
import request from '@/utils/request'
import {upFilse} from '@/utils/request'

export function recharge(data) {
	return request({
		url: '/api/recharge/money',
		method: 'post',
		data
	});
}
//上传图片
export function upload(data) {
	return upFilse({
		url: '/api/upload/image',
		method: 'post',
		data
	});
}

export function money(data,id) {
	return request({
		url: '/api/recharge/money/'+id,
		method: 'post',
		data
	});
	
}
export function wallet(data) {
	return request({
		url: '/api/wallet',
		method: 'get',
		data
	});
}
export function moneyLog(data,code) {
	return request({
		url: '/api/money/log/'+code,
		method: 'get',
		data
	});
}
export function cash(data) {
	return request({
		url: '/api/extract/cash',
		method: 'POST',
		data
	});
}
export function spread(data) {
	return request({
		url: '/api/spread/people',
		method: 'POST',
		data
	});
}


export function cashmoney_type(data) {
	return request({
		url: '/api/cash/money_type',
		method: 'get',
		data
	});
}
export function calculator(data) {
	return request({
		url: '/api/extract/calculator',
		method: 'post',
		data
	});
}
export function edit(data,id) {
	return request({
		url: '/api/wallet/address/edit/'+id,
		method: 'post',
		data
	});
}
export function miner(data) {
	return request({
		url: '/api/spread/people/all',
		method: 'post',
		data
	})
}
export function newMining(data) {
	return request({
		url: '/api/new_mining',
		method: 'get',
		data
	})
}
//提币记录
export function tbjl(data) {
	return request({
		url: '/api/extract/list',
		method: 'get',
		data
	})
}
export function moneyType(data) {
	return request({
		url: '/api/all/money_type',
		method: 'get',
		data
	});
}